# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductCategoryRelationship Class Reference

Representation of STEP entity ProductCategoryRelationship
.

`#include <StepBasic_ProductCategoryRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ProductCategoryRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ProductCategory)&aCategory, const Handle(StepBasic_ProductCategory)&aSubCategory)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepBasic_ProductCategory | Category () const
| Returns field Category .
Standard_EXPORT void | SetCategory (const Handle(StepBasic_ProductCategory)&Category)
| Set field Category .
Standard_EXPORT Handle_StepBasic_ProductCategory | SubCategory () const
| Returns field SubCategory .
Standard_EXPORT void | SetSubCategory (const Handle(StepBasic_ProductCategory)&SubCategory)
| Set field SubCategory .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_ProductCategory | theCategory
Handle_StepBasic_ProductCategory | theSubCategory
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductCategoryRelationship::StepBasic_ProductCategoryRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ProductCategory StepBasic_ProductCategoryRelationship::Category | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductCategoryRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductCategoryRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_ProductCategoryRelationship::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductCategoryRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ProductCategory)& | aCategory,
|  | const Handle(StepBasic_ProductCategory)& | aSubCategory
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductCategoryRelationship::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductCategoryRelationship::SetCategory | ( | const Handle(StepBasic_ProductCategory)& | Category | ) |

Standard_EXPORT void StepBasic_ProductCategoryRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_ProductCategoryRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_ProductCategoryRelationship::SetSubCategory | ( | const Handle(StepBasic_ProductCategory)& | SubCategory | ) |

Standard_EXPORT Handle_StepBasic_ProductCategory StepBasic_ProductCategoryRelationship::SubCategory | ( |  | ) | const

## Field Documentation

Standard_Boolean StepBasic_ProductCategoryRelationship::defDescription `[private]`

Handle_StepBasic_ProductCategory StepBasic_ProductCategoryRelationship::theCategory `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductCategoryRelationship::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductCategoryRelationship::theName `[private]`

Handle_StepBasic_ProductCategory StepBasic_ProductCategoryRelationship::theSubCategory `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductCategoryRelationship.hxx